Bug 1121330 - Review Request: perl-File-FindLib - Find and use a file/dir from a directory above your script file
Summary: Review Request: perl-File-FindLib - Find and use a file/dir from a directory ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 10:43 UTC by David Dick
Modified: 2014-09-02 03:54 UTC (History)
3 users (show)

Fixed In Version: perl-File-FindLib-0.001004-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-24 02:54:48 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-19 10:43:47 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-File-FindLib.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-File-FindLib-0.001002-1.fc20.src.rpm
Description: Find and use a file/dir from a directory above your script file
Fedora Account System Username: ddick

Comment 1 David Dick 2014-07-19 10:44:13 UTC
Closing for license related issues

Comment 2 David Dick 2014-07-30 11:10:19 UTC
Upstream has included a formal license. Reopening.

Spec URL: http://ddick.fedorapeople.org/packages/perl-File-FindLib.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-File-FindLib-0.001004-1.fc20.src.rpm

Comment 3 Petr Šabata 2014-07-30 12:28:04 UTC
Missing BRs: Exporter (via MyTest) and warnings (basic.t).

The license used is, while similar, different from CC0.  I don't see `Unlicense' listed in our list of licenses so I suggest to contact legal about this first and then use the proper tag.

Comment 4 Tom "spot" Callaway 2014-08-14 14:34:04 UTC
I've added "Unlicense" to the Good license list, please use:

License: Unlicense

Lifting FE-Legal.

Comment 5 David Dick 2014-08-14 19:47:52 UTC
Thanks Tom.

BRs added, License updated

Comment 6 Petr Šabata 2014-08-15 07:34:59 UTC
Check.  Approving.

Comment 7 David Dick 2014-08-15 08:03:35 UTC
Thanks Petr.

New Package SCM Request
=======================
Package Name: perl-File-FindLib
Short Description: Find and use a file/dir from a directory above your script file
Upstream URL: http://search.cpan.org/dist/File-FindLib/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-08-15 11:50:36 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-08-15 12:10:12 UTC
perl-File-FindLib-0.001004-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-File-FindLib-0.001004-1.el6

Comment 10 Fedora Update System 2014-08-15 12:16:58 UTC
perl-File-FindLib-0.001004-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-File-FindLib-0.001004-1.fc20

Comment 11 Fedora Update System 2014-08-15 18:59:24 UTC
perl-File-FindLib-0.001004-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-08-24 02:54:48 UTC
perl-File-FindLib-0.001004-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-09-02 03:54:07 UTC
perl-File-FindLib-0.001004-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.